Page MenuHomePhabricator

don't show a link to translate from Ukrainian to Russian to people who aren't interested in it
Open, NormalPublic

Description

There are a lot of translators in ukwiki who do not translate to any other language except Ukrainian. Why should they see this message "translate this article to russian" if there's no russian interwiki? You know about the situation in Ukraine, and you know about the "remove russian language as a fallback" requests that constantly come from Ukrainian community (I guess you'll see one more soon enough). The developers don't want to remove the fallback. Even more, you force set the unwanted message in ukwiki interface in spite of all our objections. What is this? A kind of some provocation? Or the means of russification of Ukrainian community?

Don't you understand that doing this you deject Ukrainian language, make a lot of our editors angry and make the unstable situation around these two languages even more unstable?

We propose two ways of solving this problem:

  1. Remove the message completely from ukwiki.
  2. Make a way to enable/disable and/or choose preferred languages.

If you do nothing, we'll consider disabling CX in ukwiki.


See also: User-specific language selection for compact interlanguage links is essentially the same request.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenPginer-WMF
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenAmire80
ResolvedAmire80
OpenNone
OpenNone
ResolvedAmire80
ResolvedAmire80
ResolvedKartikMistry
Resolvedsanthosh
ResolvedKartikMistry
ResolvedAmire80
ResolvedAmire80
ResolvedAmire80
ResolvedEsanders
ResolvedNikerabbit
OpenNone
OpenNone
ResolvedArrbee
OpenAmire80
OpenNone
ResolvedAmire80
OpenNone
OpenNone
StalledNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic

Event Timeline

Piramidion raised the priority of this task from to Unbreak Now!.
Piramidion updated the task description. (Show Details)
Piramidion added a subscriber: Piramidion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2015, 9:15 AM
Piramidion set Security to None.

Hello @Piramidion, Thanks for reporting this. To clarify, there is nothing besides technical reasons that may have caused this message to be displayed to the users. Our understanding is that users who may have used Russian in their browsers at some point of time, or made selections on ULS could have seen this message. There could be some other reasons as well depending on individual choices of users which may have to uncovered, possibly with the help of the users of the Ukrainian Wikipedia. We will be happy to help find a resolution to the problem and may also add a feature that hides the translation suggestion links in the future (T96547).

Arrbee lowered the priority of this task from Unbreak Now! to Normal.Jun 18 2015, 10:17 AM
Piramidion added a comment.EditedJun 18 2015, 10:40 AM

Hi. If there's really nothing besides technical reasons, then this is nice to know. To clarify my own situation, I use linux, and I have not a thing in Russian on my laptop. And the only way that I deal with Russian Wikipedia is that I sometimes visit it, nothing else. So, what could be the problem then?

The feature that hides the translation suggestion would be much appreciated. Thanks for the quick reply.

P.S.: Please, make sure that it has nothing to do with the fallback language.

NickK added a subscriber: NickK.Jun 18 2015, 10:41 AM

Please note that this is critical for ukwiki community. T96547 is not resolved for two months, which is not the delay people want to wait.

Putting things simply, Ukrainian users do not want to see a tool suggesting them to translate INTO Russian (as they mostly translate FROM Russian, thus obviously visiting ruwiki). If this feature cannot be disabled within reasonable timeframe (few days or a week, not few months), I guess the only solution for us is to disable ContentTranslation altogether.

Sorry, I tried to raise priority but I this does not seem to be supported in IE8... too bad!

@NickK T96547 was originally filed as a feature improvement and prioritized compared to other tasks that also required attention. It is good to know that it would be highly valuable for ukwiki and possibly some others as well. It affects the overall experience of CX for users and that is important for us to consider. I cannot be certain that we can do it rightaway because we will need to figure out what is causing this problem, but it is a first step and I believe we can quickly resolve it once we have clarity. Like I mentioned in my earlier comment, it would be of much help if we could have more information like:

  1. Are all users seeing this?
  2. Does it happen all the time (for a few users)?
  3. Did it go away completely for any of the users? Did they do anything special?

These are things that come to my mind immediately but there could be more clues. We will appreciate all help. Thanks.

Piramidion added a comment.EditedJun 18 2015, 10:29 PM

We know already that the issue is with our browsers' fallback languages. Two days ago I reset my browser's settings (actually I reinstalled it after this, since there was a problem that persisted), so now I know that Russian was set by default as the second language. I lowered its priority (moved it to the bottom of the list) and added polish language. Now I see two suggestions - to translate into Russian and Polish. If one deletes Russian from that list, the translation suggestion will no longer be visible.

As another user mentioned, all this could be due to the code:

Get the list of target languages that should be suggested to the current user: The MediaWiki user interface language, Accept-Language, Browser interface language.

Russian is considered as an "Accept language"

I would suggest removing this entry from the code, since the accepted language is the language that one understands but it doesn't mean that one translates articles into that language.

I would suggest removing this entry from the code, since the accepted language is the language that one understands but it doesn't mean that one translates articles into that language.

I am thinking that this could be handled in a way that it finally rests on the user on whether they would like the 'Accept Language' suggestions to be shown to them. For instance in some places like India, people can be heavily multilingual (>3-4 languages of fluency is quite common) and they may actually want this to remain.

I am thinking that this could be handled in a way that it finally rests on the user on whether they would like the 'Accept Language' suggestions to be shown to them.

If it's possible to do so, then It would be great. I mean, it would be nice to make this an option that the user can choose or discard.

By the way, I apologize for being a bit harsh in writing while creating this task. This is because our community is quite annoyed by the fact that we cannot remove Russian as a fallback language in our wiki. The developers usually ignore our requests.

No worries @Piramidion, we are happy to help. Please allow us a little time to get to the bottom of this. Thanks for the all the help so far.

Amire80 renamed this task from Means of russification of the Ukrainian community? to don't show a link to translate from Ukrainian to Russian to people who aren't interested in it.Jul 2 2015, 4:52 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 2 2015, 4:56 PM
Amire80 moved this task from Bugs to Entry Points on the ContentTranslation-Release6 board.
Piramidion added a comment.EditedJul 8 2015, 9:49 AM

Since nothing seems to be getting done about this issue, our community desided to do it the hard way: we've disabled the translation suggestions completely. The reasoning for doing this was as follows:

  1. This feature is distracting and useless for a lot of our users, since the majority of all our translators do not translate to any other languages except Ukrainian
  2. As another user mentioned, he does translate articles from Ukrainian into Polish, but this doesn't mean that he wants to see these suggestions in every article that doesn't have Polish interwiki.
  3. Some users have three or more "accept languages" in their browsers. So if one finds an article with no or few interwikis, one would find this feature even more distractive (another user complained about the high possibility of missclicking in such a case).
  4. While the suggestions look grey in the vector skin, they still appear red in monobook skin.
  5. A lot of our users understand Russian and even need it in their browsers as "accept languages", but don't want to see it in Ukrainian Wikipedia.

Nevertheless, we've provided a way to easily enable these suggestions, if there are users who would possibly need it: we've created a gadget that can be checked or unchecked in user's preferences.

I hope this information would be taken into account to prevent all such problems in other wiki-projects in the future.

For information, new inter language link has been locally hidden on uk WIkipedia.

@Piramidion Thanks a lot for the detailed information about the changes made. This will certainly help us identify the user requirements better. This is an item in our to-do list for the upcoming 3 month period.

Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 7:42 PM
Restricted Application added a subscriber: Base. · View Herald TranscriptOct 19 2015, 8:16 AM
Nemo_bis updated the task description. (Show Details)Dec 20 2015, 9:15 AM
Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:08 PM
Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:42 PM